Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.metadata.query
Class MetadataObjectQuery

    java.lang.Object
      com.endeca.portal.metadata.query.MetadataQuery<com.endeca.portal.liferay.ext.metadata.model.MetadataRecord>
          com.endeca.portal.metadata.query.MetadataObjectQuery

    public class MetadataObjectQuery

extends MetadataQuery<com.endeca.portal.liferay.ext.metadata.model.MetadataRecord>

Implementation of a metadata query for `MetadataRecord` instances.

Author:
  Endeca Technologies, Inc.
See Also:
  `MetadataQuery`

Field Summary

Fields inherited from class com.endeca.portal.metadata.query.MetadataQuery
`FIELD_NAME_DESCRIPTION, FIELD_NAME_FEATURE, FIELD_NAME_KEY, FIELD_NAME_LAST_UPDATED, FIELD_NAME_LOCALE, FIELD_NAME_OBJECT_ID, FIELD_NAME_REL, FIELD_NAME_SOURCE, FIELD_NAME_TYPE, FIELD_NAME_VALUE, query`

Constructor Summary
`MetadataObjectQuery()` Constructs an empty metadata query

Method Summary
`java.util.List<com.endeca.portal.liferay.ext.metadata.model.MetadataRecord>` | `execute()` Executes the `DynamicQuery` and returns a list of MetadataRecord objects.
`void` | `initDynamicQuery()` Initializes the `DynamicQuery` using the MetadataRecord class.

Methods inherited from class com.endeca.portal.metadata.query.MetadataQuery
`setDescription, setFeature, setKey, setLocale, setObjectId, setOrderAsc, setOrderDesc, setRel, setSource, setType, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataObjectQuery

    public MetadataObjectQuery()

  Constructs an empty metadata query

Method Detail

### initDynamicQuery

    public void initDynamicQuery()

  Initializes the `DynamicQuery` using the MetadataRecord class.

  Specified by:
    `initDynamicQuery` in class `MetadataQuery<com.endeca.portal.liferay.ext.metadata.model.MetadataRecord>`
  See Also:
    `MetadataQuery.initDynamicQuery()`

### execute

    public java.util.List<com.endeca.portal.liferay.ext.metadata.model.MetadataRecord> execute()
                                                                                        throws MetadataQueryException

  Executes the `DynamicQuery` and returns a list of MetadataRecord objects.

  Specified by:
    `execute` in class `MetadataQuery<com.endeca.portal.liferay.ext.metadata.model.MetadataRecord>`
  Returns:
    a list of Liferay records
  Throws:
    `MetadataQueryException`
  See Also:
    `MetadataQuery.execute()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD